org.gradle.testing.jacoco.tasks

## Class JacocoReport

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.testing.jacoco.tasks.JacocoBase
      - - org.gradle.testing.jacoco.tasks.JacocoReportBase
        - - org.gradle.testing.jacoco.tasks.JacocoReport

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Reporting<JacocoReportsContainer>, Task, org.gradle.util.Configurable<Task>

      @CacheableTask
       @Incubating
      public class JacocoReport
      extends JacocoReportBase
      implements Reporting<JacocoReportsContainer>

  Task to generate HTML, Xml and CSV reports of Jacoco coverage data.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JacocoReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate()`
    `JacocoReportsContainer` | `getReports()` Returns the reports to be generated by this task.
    `JacocoReportsContainer` | `reports(Action<? super JacocoReportsContainer> configureAction)` Allow configuration of the report container by closure.
    `JacocoReportsContainer` | `reports(Closure closure)` Configures the reports to be generated by this task.

    - ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoReportBase

      `additionalClassDirs, additionalClassDirs, additionalSourceDirs, additionalSourceDirs, executionData, executionData, executionData, getAdditionalClassDirs, getAdditionalSourceDirs, getAllClassDirs, getAllSourceDirs, getAntBuilder, getClassDirectories, getExecutionData, getInstantiator, getSourceDirectories, setAdditionalClassDirs, setAdditionalSourceDirs, setClassDirectories, setExecutionData, setSourceDirectories, sourceSets`

    - ### Methods inherited from class org.gradle.testing.jacoco.tasks.JacocoBase

      `getJacocoClasspath, setJacocoClasspath`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JacocoReport

          public JacocoReport()

  - ### Method Detail

    - #### getReports

          public JacocoReportsContainer getReports()

      Returns the reports to be generated by this task.
      Specified by:
        `getReports` in interface `Reporting<JacocoReportsContainer>`
      Returns:
        The report container

    - #### reports

          public JacocoReportsContainer reports(Closure closure)

      Configures the reports to be generated by this task.
      Specified by:
        `reports` in interface `Reporting<JacocoReportsContainer>`
      Parameters:
        `closure` - The configuration
      Returns:
        The report container

    - #### reports

          public JacocoReportsContainer reports(Action<? super JacocoReportsContainer> configureAction)

      Description copied from interface: `Reporting`
      Allow configuration of the report container by closure.

           reports {
             html {
               enabled false
             }
             xml.destination "build/reports/myReport.xml"
           }

      Specified by:
        `reports` in interface `Reporting<JacocoReportsContainer>`
      Parameters:
        `configureAction` - The configuration
      Returns:
        The report container

    - #### generate

          public void generate()